#!/bin/sh
#
# $Id$
#

# PROVIDE: rotorouter
# REQUIRE: DAEMON
# BEFORE: LOGIN
# KEYWORD: FreeBSD shutdown
#
# Add the following lines to /etc/rc.conf to enable rotorouter:
#
#   rotorouter_enable="YES"
#
# See rotorouter(8) for flags.
#

. /usr/local/etc/rc.subr

name=rotorouter
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}

# set defaults

rotorouter_enable=${rotorouter_enable:-"NO"}
rotorouter_flags="${rotorouter_flags:--h /usr/local/etc/rotorouter.conf}"

rotorouter_flags="${rotorouter_flags} &"

load_rc_config $name
run_rc_command "$1"

